Subject: bug#56561: 29.0.50; Infloop in try_window

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Jul 2022 14:45:01 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 16 Jul 2022 19:07:26 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > That is true.  Which part of detecting the above situation sounds
> > problematic to you?  I'm asking because I'm uncertain what should I
> > explain in this regard.
> 
> The problem is how to detect that the glyph matrix is indeed too small
> to fit all of the tooltip text, and not too small due to the bug being
> triggered?

Which bug? the one which started this discussion? that's the idea of
looking at ends_at_zv_p flag of the rows in the matrix, after
try_window returns.